Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229559 - PAGE_MASK missing for x86_64 in kernel-headers
Summary: PAGE_MASK missing for x86_64 in kernel-headers
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Don Zickus
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 19:58 UTC by Axel Thimm
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-25 13:53:33 UTC


Attachments (Terms of Use)

Description Axel Thimm 2007-02-21 19:58:55 UTC
PAGE_MASK is usually found in <asm/page.h>, this just includes an effectively
empty <asm-x86_64/page.h>:


#ifndef _X86_64_PAGE_H
#define _X86_64_PAGE_H


#endif /* _X86_64_PAGE_H */

Comment 1 Axel Thimm 2007-05-19 14:31:28 UTC
This breaks directfb and pm-utils. :(

Comment 2 David Woodhouse 2007-06-25 13:53:33 UTC
Those programs are broken, then. They should not be relying on kernel-private
stuff like PAGE_SIZE. Use getpagesize() instead.


Note You need to log in before you can comment on or make changes to this bug.